Patch-Source: https://github.com/obreitwi/asfa/pull/14 (modified)
--
From 14e67b80d2253c58d4a9d03fafbc09785038c04d Mon Sep 17 00:00:00 2001
From: Jakub Jirutka <jakub@jirutka.cz>
Date: Tue, 5 Jul 2022 00:20:38 +0200
Subject: [PATCH] Disable unnecessary regex features to reduce binary size by ~20%

---
 Cargo.lock | 11 -----------
 Cargo.toml |  2 +-
 2 files changed, 1 insertion(+), 12 deletions(-)

--- a/Cargo.lock
+++ b/Cargo.lock
@@ -18,15 +18,6 @@
 checksum = "f26201604c87b1e01bd3d98f8d5d9a8fcbb815e8cedb41ffccbeb4bf593a35fe"
 
 [[package]]
-name = "aho-corasick"
-version = "0.7.18"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "1e37cfd5e7657ada45f742d6e99ca5788580b5c529dc78faf11ece6dc702656f"
-dependencies = [
- "memchr",
-]
-
-[[package]]
 name = "anyhow"
 version = "1.0.51"
 source = "registry+https://github.com/rust-lang/crates.io-index"
@@ -775,8 +766,6 @@
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "d07a8629359eb56f1e2fb1652bb04212c072a87ba68546a04065d525673ac461"
 dependencies = [
- "aho-corasick",
- "memchr",
  "regex-syntax",
 ]
 
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -31,7 +31,7 @@
 lazy_static = "1.4.0"
 log = "0.4.14"
 percent-encoding = "2.1.0"
-regex = "1.5.4"
+regex = { version = "1.5.4", default-features = false, features = ["std", "unicode-bool", "unicode-perl"] }
 rpassword = "5.0.1"
 sha2= "0.10.0"
 simple_logger = { version = "1.16.0", default-features = false, features = ["threads", "colors"]}
